package capitulo03.bloque05;

import static capitulo03.utils.Utils.solicitarIntScanner;

public class Ejercicio5 {
    public static void main(String[] args) {
        int numFilas = solicitarIntScanner("Ingrese el número de filas del triángulo de Pascal: ");
        for (int fila = 0; fila < numFilas; fila++) {
            for (int espacio = 0; espacio < numFilas - fila - 1; espacio++) {
                System.out.print("  ");
            }

            int numero = 1;
            for (int columna = 0; columna <= fila; columna++) {
                System.out.print(numero + "  ");
                numero = numero * (fila - columna) / (columna + 1);
            }
            System.out.println();
        }
    }
}